# VatSched

Scheduling overview for Vatsim Germany's Forum.
Output as a jpg.

Using the following python dependencies
* imgkit, which in turn depends on wkhtmltopdf
* dateutil
* requests

Setup:

1. If necessary, change path to wkhtmltoimage in vatsched.py lines 92-94.
2. Setup image outputs in sched.py:
    * List all stations as a python list. Use "--" to insert visual breaks in the table.
    * List all dates as a python list as datetime objects. There are functions available to help with regularly occuring events: 
        * EveryXDaysFromStartdate (String startdate, int x, int numberofdays = 1) - Returns a python list of datetime objects. For regularly recurring events. Define a startdate and an interval in days for the event. numberofdays defines how many upcoming days will be returned.
        * EveryXWeeksFromStartdate (String startdate, int x, int numberofdays = 1) - Returns a python list of datetime objects. For regularly recurring events. Define a startdate and an interval in weeks for the event. numberofdays defines how many upcoming days will be returned. This just an alias for EveryXDaysFromStardate with the input for x being x*7.
        * EveryWeekday (int weekday, int numberofdays) - Returns a list of datetime objects. This to be used for weekly events. Define a day of the week and the number of days to be displayed. Monday = 0.
        * WholeWeek (int shift = 0) - Returns a list of 7 datetime objects for consecutive days. Will start with today + shift days.
    * Define output filename